Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/private/get_block_rfq_quotes \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "private/get_block_rfq_quotes",
  "params": {
    "block_rfq_id": 1
  }
}
'
import requests

url = "https://test.deribit.com/api/v2/private/get_block_rfq_quotes"

payload = {
    "jsonrpc": "2.0",
    "id": 1,
    "method": "private/get_block_rfq_quotes",
    "params": { "block_rfq_id": 1 }
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    jsonrpc: '2.0',
    id: 1,
    method: 'private/get_block_rfq_quotes',
    params: {block_rfq_id: 1}
  })
};

fetch('https://test.deribit.com/api/v2/private/get_block_rfq_quotes', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "label": "example_quote",
    "amount": 20000,
    "direction": "buy",
    "price": 74600,
    "legs": [
      {
        "direction": "buy",
        "price": 74600,
        "instrument_name": "BTC-15NOV24",
        "ratio": 1
      }
    ],
    "creation_timestamp": 1731076586371,
    "block_rfq_id": 1,
    "replaced": false,
    "filled_amount": 0,
    "last_update_timestamp": 1731076638591,
    "hedge": {
      "amount": 10,
      "direction": "buy",
      "price": 70000,
      "instrument_name": "BTC-PERPETUAL"
    },
    "block_rfq_quote_id": 8,
    "quote_state": "open",
    "execution_instruction": "all_or_none"
  }
}

Query Parameters

block_rfq_id
integer

ID of the Block RFQ

label
string

User defined label for the Block RFQ quote (maximum 64 characters). Used to identify quotes of a selected Block RFQ

block_rfq_quote_id
integer

ID of the Block RFQ quote

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object[]
required
id
integer

The id that was sent in the request